#include <iostream>
using namespace std;
int main()
{
    int A[20000],n,i;
    double P[20000],zarada_SPAUJ,porez;
    cin>>n;
   for(i=0;i<n;i++)
    cin>>A[i]>>P[i];
    zarada_SPAUJ=0;
    porez=P[0];
    for(i=1;i<n;i++){
        if(P[i]<porez)
            porez=P[i];
    }

    for(i=0;i<n;i++){
        zarada_SPAUJ+=A[i]*(porez/100);
    }
    cout<<zarada_SPAUJ;
    return 0;
}